aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Sixt <johannes.sixt@telecom.at>2008-04-02 08:52:37 +0200
committerJunio C Hamano <gitster@pobox.com>2008-04-02 00:13:43 -0700
commit64fb19ba636fc9e892119efc377808b86c919228 (patch)
treecc83aac4e50a1e3919cffb106ec58d03ad4fe1a0
parent69fe5ef6c7211921a2a7840698bf58a80bab9412 (diff)
downloadgit-64fb19ba636fc9e892119efc377808b86c919228.tar.gz
git-64fb19ba636fc9e892119efc377808b86c919228.tar.xz
t7004-tag: Skip more tests if gpg is not available.
This test was already careful enough to skip signed tag tests if gpg is not available, but it must also skip all verify tests, even those that are about non-signed tags, because they also invoke gpg. Signed-off-by: Johannes Sixt <johannes.sixt@telecom.at> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xt/t7004-tag.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/t/t7004-tag.sh b/t/t7004-tag.sh
index 75cd33bde..1a7141ecd 100755
--- a/t/t7004-tag.sh
+++ b/t/t7004-tag.sh
@@ -578,6 +578,14 @@ test_expect_success \
git diff expect actual
'
+# subsequent tests require gpg; check if it is available
+gpg --version >/dev/null
+if [ $? -eq 127 ]; then
+ echo "gpg not found - skipping tag signing and verification tests"
+ test_done
+ exit
+fi
+
# trying to verify annotated non-signed tags:
test_expect_success \
@@ -600,13 +608,6 @@ test_expect_success \
# creating and verifying signed tags:
-gpg --version >/dev/null
-if [ $? -eq 127 ]; then
- echo "Skipping signed tags tests, because gpg was not found"
- test_done
- exit
-fi
-
# As said here: http://www.gnupg.org/documentation/faqs.html#q6.19
# the gpg version 1.0.6 didn't parse trust packets correctly, so for
# that version, creation of signed tags using the generated key fails.